<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 468.1   Patch: 2                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Knowledgebase
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminManageKnowledgebase
 * A function to manage the knowledgebase 
 * @author Philipp Louis Esselbach
 */
function AdminManageKnowledgebase( $opts )
{
	global $database, $security, $preferences, $system, $html, $login_username, $ipaddr, $words_knowledgebase;
	$options = explode( "-", $opts );
	$options[ 0 ] = ( isset( $options[ 0 ] ) ) ? $security -> checkvar( $options[ 0 ] ) : "" ;
	$options[ 1 ] = ( isset( $options[ 1 ] ) ) ? $security -> checknum( $options[ 1 ] ) : "" ;
	$options[ 2 ] = ( isset( $options[ 2 ] ) ) ? $security -> checkvar( $options[ 2 ] ) : "" ;
	
	if( $options[ 0 ] )
	{
		session_start();
		
		if( ( $_SESSION[ 'knowledgebase_security_hash' ] != $options[ 2 ] ) and( $preferences[ 'website_subsessions_admin' ] ) )
		{
			$html -> login( $words_knowledgebase[ 'ERROR' ], $words_knowledgebase[ 'INVALID_SESSION' ], "index.php" );
			exit;
		}
	}

	if( $options[ 0 ] == "restoreentry" )
	{
		$query = $database -> dbquery( "SELECT knowledgebaseundo_author, knowledgebaseundo_entry, knowledgebaseundo_question, knowledgebaseundo_seo, knowledgebaseundo_answer, knowledgebaseundo_description, knowledgebaseundo_keywords, knowledgebaseundo_fields, knowledgebaseundo_date FROM " . DB_PREFIX . "esselbach_ct_knowledgebaseundo WHERE knowledgebaseundo_id = '" . $options[ 1 ] . "'" );
		list( $undo_author, $undo_entry, $undo_question, $undo_seo, $undo_answer, $undo_description, $undo_keywords, $undo_fields, $undo_date ) = $database -> dbrow( $query );
		$undo_author = $database -> dbescape( $undo_author );
		$undo_question = $database -> dbescape( $undo_question );
		$undo_seo = $database -> dbescape( $undo_seo );
		$undo_answer = $database -> dbescape( $undo_answer );
		$undo_description = $database -> dbescape( $undo_description );
		$undo_keywords = $database -> dbescape( $undo_keywords );
		$query = $database -> dbquery( "SELECT knowledgebase_author, knowledgebase_question, knowledgebase_seo, knowledgebase_rawanswer, knowledgebase_description, knowledgebase_keywords, knowledgebase_fields, knowledgebase_html, knowledgebase_smilies, knowledgebase_code FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_id = '" . $undo_entry . "'" );
		list( $old_author, $old_question, $old_seo, $old_answer, $old_description, $old_keywords, $old_fields, $old_html, $old_smilies, $old_blockcode ) = $database -> dbrow( $query );
		$old_author = $database -> dbescape( $old_author );
		$old_question = $database -> dbescape( $old_question );
		$old_seo = $database -> dbescape( $old_seo );
		$old_answer = $database -> dbescape( $old_answer );
		$old_description = $database -> dbescape( $old_description );
		$old_keywords = $database -> dbescape( $old_keywords );
		$input_reason = $words_knowledgebase[ 'RESTORED_TO_VERSION_FROM' ] . " " . $undo_date;
		$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_knowledgebaseundo (knowledgebaseundo_id, knowledgebaseundo_entry, knowledgebaseundo_author, knowledgebaseundo_question, knowledgebaseundo_seo, knowledgebaseundo_answer, knowledgebaseundo_description, knowledgebaseundo_keywords, knowledgebaseundo_fields, knowledgebaseundo_date, knowledgebaseundo_editip, knowledgebaseundo_editadmin, knowledgebaseundo_editreason) VALUES (NULL, '" . $undo_entry . "', '" . $old_author . "', '" . $old_question . "', '" . $old_seo . "', '" . $old_answer . "', '" . $old_description . "', '" . $old_keywords . "', '" . $old_fields . "', now(), '" . $ipaddr . "', '" . $login_username . "', '" . $input_reason . "')" );
		$undo_answer_parsed = $undo_answer;
		
		if( !$old_html )
		{
			$undo_answer_parsed = $system -> dechomp( $undo_answer_parsed );
		}
		
		if( $old_smilies )
		{
			$undo_answer_parsed = $system -> smilies( $undo_answer_parsed );
		}
		
		if( $old_blockcode )
		{
			$undo_answer_parsed = $system -> code( $undo_answer_parsed );
		}
		
		$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_knowledgebase SET knowledgebase_author = '" . $login_username . "', knowledgebase_question = '" . $undo_question . "', knowledgebase_seo = '" . $undo_seo . "', knowledgebase_rawanswer = '" . $undo_answer . "', knowledgebase_answer = '" . $undo_answer_parsed . "', knowledgebase_description = '" . $undo_description . "', knowledgebase_keywords = '" . $undo_keywords . "', knowledgebase_date = now(), knowledgebase_fields = '" . $undo_fields . "', knowledgebase_editip = '" . $ipaddr . "', knowledgebase_editadmin = '" . $login_username . "' WHERE knowledgebase_id = '" . $undo_entry . "'" );
		$html -> login( $words_knowledgebase[ 'EDIT_ENTRY' ], $words_knowledgebase[ 'ENTRY_CHANGED' ], "index.php?action=manageknowledgebase" );
	}

	if( $options[ 0 ] == "showundoentry" )
	{
		$query = $database -> dbquery( "SELECT knowledgebaseundo_question, knowledgebaseundo_answer, knowledgebaseundo_description, knowledgebaseundo_keywords, knowledgebaseundo_date, knowledgebaseundo_editreason FROM " . DB_PREFIX . "esselbach_ct_knowledgebaseundo WHERE knowledgebaseundo_id = '" . $options[ 1 ] . "'" );
		list( $knowledgebaseundo_question, $knowledgebaseundo_answer, $knowledgebaseundo_description, $knowledgebaseundo_keywords, $knowledgebaseundo_date, $knowledgebaseundo_editreason ) = $database -> dbrow( $query );
		$html -> makeheader( $words_knowledgebase[ 'OLDER_ENTRY_VERSION' ] );
		$html -> makepopheader( $knowledgebaseundo_question, "preview" );
		echo "<table><tbody><td>" . $knowledgebaseundo_answer . "</td></tbody></table>";
		$html -> makemainsub( $words_knowledgebase[ 'DESCRIPTION' ] );
		echo "<table><tbody><td>" . $knowledgebaseundo_description . "</td></tbody></table>";
		$html -> makemainsub( $words_knowledgebase[ 'KEYWORDS' ] );
		echo "<table><tbody><td>" . $knowledgebaseundo_keywords . "</td></tbody></table>";
		$html -> makemainsub( $words_knowledgebase[ 'EDIT_REASON' ] );
		echo "<table><tbody><td>" . $knowledgebaseundo_date . ":<br />" . $knowledgebaseundo_editreason . "</td></tbody></table>";
		$html -> makemainsub( "" );
		echo "<div style=\"text-align: center;\">[<a href=\"javascript:self.close()\">" . $words_knowledgebase[ 'CLOSE_WINDOW' ] . "</a>]</div>";
		$html -> makemainfooter();
		$html -> makefooter();
	}

	if( $options[ 0 ] == "deleteentry" )
	{
		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_id='" . $options[ 1 ] . "'" );
		$options[ 0 ] = "";
	}

	if( $options[ 0 ] == "editentry" )
	{
		include( "admineditknowledgebaseentry.php" );
		AdminEditKnowledgeBaseEntry( $options[ 1 ], "" );
	}

	if( !$options[ 0 ] )
	{
		if( !isset( $_SESSION[ 'knowledgebase_security_hash' ] ) )
		{
			session_start();
			$security_hash = md5( rand( 1, 32768 ) );
			$_SESSION[ 'knowledgebase_security_hash' ] = $security_hash;
		}
		else
		{
			$security_hash = $_SESSION[ 'knowledgebase_security_hash' ];
		}
		
		$input_search_question = ( isset( $_GET[ 'input_search_question' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_question' ] ) : "" ;
		$input_search_answer = ( isset( $_GET[ 'input_search_answer' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_answer' ] ) : "" ;
		$input_search_category = ( isset( $_GET[ 'input_search_category' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_category' ] ) : "" ;
		$input_search_date = ( isset( $_GET[ 'input_search_date' ] ) ) ? $security -> checknum( $_GET[ 'input_search_date' ] ) : "" ;
		$input_search_sort = ( isset( $_GET[ 'input_search_sort' ] ) ) ? $security -> checknum( $_GET[ 'input_search_sort' ] ) : "" ;
		$input_search_order = ( isset( $_GET[ 'input_search_order' ] ) ) ? $security -> checknum( $_GET[ 'input_search_order' ] ) : "" ;
		$input_search_page = ( isset( $_GET[ 'input_search_page' ] ) ) ? $security -> checknum( $_GET[ 'input_search_page' ] ) : "" ;
		$input_query = array();
		
		if( $input_search_question )
		{
			$input_query[ ] = "(knowledgebase_question LIKE '%" . $input_search_question . "%')";
		}
		
		if( $input_search_answer )
		{
			$input_query[ ] = "(knowledgebase_answer LIKE '%" . $input_search_answer . "%')";
		}
		
		if( $input_search_category )
		{
			$input_query[ ] = "(knowledgebase_category = '" . $input_search_category . "')";
		}
		
		if( $input_search_date )
		{
			if( $input_search_date == 1 )
			{
				$input_search_range = 86400;
			}
			
			if( $input_search_date == 2 )
			{
				$input_search_range = 172800;
			}
			
			if( $input_search_date == 3 )
			{
				$input_search_range = 604800;
			}
			
			if( $input_search_date == 4 )
			{
				$input_search_range = 2677400;
			}
			
			if( $input_search_date == 5 )
			{
				$input_search_range = 8032200;
			}
			
			if( $input_search_date == 6 )
			{
				$input_search_range = 16064400;
			}
			
			if( $input_search_date == 7 )
			{
				$input_search_range = 32128800;
			}
			
			$input_search_date_db = mktime() - $input_search_range;
			$input_search_date_db = date( "Y-m-d H:i:s", $input_search_date_db );
			$input_query[ ] = "knowledgebase_date > ('" . $input_search_date_db . "')";
		}
		
		if( $input_query )
		{
			$input_full_query = "WHERE " . join( " AND ", $input_query );
		}
		else
		{
			$input_full_query = "";
		}
		
		if( $input_search_sort )
		{
			if( $input_search_sort == 1 )
			{
				$input_sort_query = "knowledgebase_question";
			}
			
			if( $input_search_sort == 2 )
			{
				$input_sort_query = "knowledgebase_answer";
			}
			
			if( $input_search_sort == 3 )
			{
				$input_sort_query = "knowledgebase_category";
			}
			
			if( $input_search_sort == 4 )
			{
				$input_sort_query = "knowledgebase_website";
			}
			
			if( $input_search_sort == 5 )
			{
				$input_sort_query = "knowledgebase_author";
			}
			
			if( $input_search_sort == 6 )
			{
				$input_sort_query = "knowledgebase_date";
			}
			
			if( $input_search_sort == 7 )
			{
				$input_sort_query = "knowledgebase_status";
			}
			
			if( $input_search_sort == 8 )
			{
				$input_sort_query = "knowledgebase_views";
			}
			
			if( $input_search_sort == 9 )
			{
				$input_sort_query = "knowledgebase_activity";
			}
		}
		else
		{
			$input_sort_query = "knowledgebase_id";
		}
		
		if( !$input_search_order )
		{
			$input_sort_query .= " DESC";
		}
		
		$html -> makeheader( $words_knowledgebase[ 'MANAGE_ENTRIES' ] );
		$html -> deleteinit( $words_knowledgebase[ 'ARE_YOU_SURE' ] );
		$html -> checkinit();
		$html -> makesubheader();
		$html -> makegroupmenu( "knowledgebase" );
		$html -> makeformheader( $words_knowledgebase[ 'MANAGE_ENTRIES' ], "news", "newssearch", "get" );
		echo $words_knowledgebase[ 'SEARCH_FORM_KNOWLEDGEBASE' ] . "<br />";
		echo "<strong>" . $words_knowledgebase[ 'QUESTION' ] . ":</strong> <input name=\"input_search_question\" size=\"32\" value=\"" . stripslashes( $input_search_question ) . "\" /> ";
		echo "<strong>" . $words_knowledgebase[ 'ANSWER' ] . ":</strong> <input name=\"input_search_answer\" size=\"32\" value=\"" . stripslashes( $input_search_answer ) . "\" /> ";
		echo "<input type=\"hidden\" name=\"action\" value=\"manageknowledgebase\" /><input type=\"submit\" value=\"" . $words_knowledgebase[ 'GO' ] . "\" /><br />";
		echo "<strong>" . $words_knowledgebase[ 'CATEGORY' ] . ":</strong> <select size=\"1\" name=\"input_search_category\">";
		$category_name = array();
		$category_name[ 0 ] = $words_knowledgebase[ 'NONE' ];
		echo "<option value=\"0\">" . $words_knowledgebase[ 'NONE' ] . "</option>";
		$query = $database -> dbquery( "SELECT knowledgebasecat_id, knowledgebasecat_name FROM " . DB_PREFIX . "esselbach_ct_knowledgebasecats" );
		
		if( $database -> dbrows( $query ) )
		{
			while( list( $knowledgebasecat_id, $knowledgebasecat_name ) = $database -> dbrow( $query ) )
			{
				$category_name[ $knowledgebasecat_id ] = $knowledgebasecat_name;
				
				if( $knowledgebasecat_id == $input_search_category )
				{
					echo "<option selected=\"selected\" value=\"" . $knowledgebasecat_id . "\">" . $knowledgebasecat_name . "</option>";
				}
				else
				{
					echo "<option value=\"" . $knowledgebasecat_id . "\">" . $knowledgebasecat_name . "</option>";
				}
			}
		}
		
		echo "</select> ";
		( !$input_search_date ) ? $range_all = "selected=\"selected\" " : $range_all = "" ;
		( $input_search_date == 1 ) ? $range_today = "selected=\"selected\" " : $range_today = "" ;
		( $input_search_date == 2 ) ? $range_yesterday = "selected=\"selected\" " : $range_yesterday = "" ;
		( $input_search_date == 3 ) ? $range_lastweek = "selected=\"selected\" " : $range_lastweek = "" ;
		( $input_search_date == 4 ) ? $range_lastmonth = "selected=\"selected\" " : $range_lastmonth = "" ;
		( $input_search_date == 5 ) ? $range_last3months = "selected=\"selected\" " : $range_last3months = "" ;
		( $input_search_date == 6 ) ? $range_last6months = "selected=\"selected\" " : $range_last6months = "" ;
		( $input_search_date == 7 ) ? $range_lastyear = "selected=\"selected\" " : $range_lastyear = "" ;
		echo "<strong>" . $words_knowledgebase[ 'DATE_RANGE' ] . ":</strong> <select size=\"1\" name=\"input_search_date\">";
		echo "<option " . $range_all . "value=\"0\">" . $words_knowledgebase[ 'ALL' ] . "</option>";
		echo "<option " . $range_today . "value=\"1\">" . $words_knowledgebase[ 'TODAY' ] . "</option>";
		echo "<option " . $range_yesterday . "value=\"2\">" . $words_knowledgebase[ 'YESTERDAY' ] . "</option>";
		echo "<option " . $range_lastweek . "value=\"3\">" . $words_knowledgebase[ 'LASTWEEK' ] . "</option>";
		echo "<option " . $range_lastmonth . "value=\"4\">" . $words_knowledgebase[ 'LASTMONTH' ] . "</option>";
		echo "<option " . $range_last3months . "value=\"5\">" . $words_knowledgebase[ 'LAST3MONTHS' ] . "</option>";
		echo "<option " . $range_last6months . "value=\"6\">" . $words_knowledgebase[ 'LAST6MONTHS' ] . "</option>";
		echo "<option " . $range_lastyear . "value=\"7\">" . $words_knowledgebase[ 'LASTYEAR' ] . "</option>";
		echo "</select> ";
		( !$input_search_sort ) ? $sort_id = "selected=\"selected\" " : $sort_id = "" ;
		( $input_search_sort == 1 ) ? $sort_question = "selected=\"selected\" " : $sort_question = "" ;
		( $input_search_sort == 2 ) ? $sort_answer = "selected=\"selected\" " : $sort_answer = "" ;
		( $input_search_sort == 3 ) ? $sort_category = "selected=\"selected\" " : $sort_category = "" ;
		( $input_search_sort == 4 ) ? $sort_website = "selected=\"selected\" " : $sort_website = "" ;
		( $input_search_sort == 5 ) ? $sort_author = "selected=\"selected\" " : $sort_author = "" ;
		( $input_search_sort == 6 ) ? $sort_date = "selected=\"selected\" " : $sort_date = "" ;
		( $input_search_sort == 7 ) ? $sort_status = "selected=\"selected\" " : $sort_status = "" ;
		( $input_search_sort == 8 ) ? $sort_views = "selected=\"selected\" " : $sort_views = "" ;
		( $input_search_sort == 9 ) ? $sort_last_activity = "selected=\"selected\" " : $sort_last_activity = "" ;
		echo "<strong>" . $words_knowledgebase[ 'SORT_BY' ] . ":</strong> <select size=\"1\" name=\"input_search_sort\">";
		echo "<option " . $sort_id . "value=\"0\">" . $words_knowledgebase[ 'ID' ] . "</option>";
		echo "<option " . $sort_question . "value=\"1\">" . $words_knowledgebase[ 'QUESTION' ] . "</option>";
		echo "<option " . $sort_answer . "value=\"2\">" . $words_knowledgebase[ 'ANSWER' ] . "</option>";
		echo "<option " . $sort_category . "value=\"3\">" . $words_knowledgebase[ 'CATEGORY' ] . "</option>";
		echo "<option " . $sort_website . "value=\"4\">" . $words_knowledgebase[ 'WEBSITE' ] . "</option>";
		echo "<option " . $sort_author . "value=\"5\">" . $words_knowledgebase[ 'AUTHOR' ] . "</option>";
		echo "<option " . $sort_date . "value=\"6\">" . $words_knowledgebase[ 'DATE' ] . "</option>";
		echo "<option " . $sort_status . "value=\"7\">" . $words_knowledgebase[ 'STATUS' ] . "</option>";
		echo "<option " . $sort_views . "value=\"8\">" . $words_knowledgebase[ 'VIEWS' ] . "</option>";
		echo "<option " . $sort_last_activity . "value=\"9\">" . $words_knowledgebase[ 'LAST_ACTIVITY' ] . "</option>";
		echo "</select> ";
		( !$input_search_order ) ? $sort_descending = "selected=\"selected\" " : $sort_descending = "" ;
		( $input_search_order == 1 ) ? $sort_ascending = "selected=\"selected\" " : $sort_ascending = "" ;
		echo "<select size=\"1\" name=\"input_search_order\">";
		echo "<option " . $sort_descending . "value=\"0\">" . $words_knowledgebase[ 'DESCENDING' ] . "</option>";
		echo "<option " . $sort_ascending . "value=\"1\">" . $words_knowledgebase[ 'ASCENDING' ] . "</option>";
		echo "</select> ";
		$query = $database -> dbquery( "SELECT COUNT(knowledgebase_id) FROM " . DB_PREFIX . "esselbach_ct_knowledgebase " . $input_full_query . " ORDER BY " . $input_sort_query );
		list( $all_pages ) = $database -> dbrow( $query );
		
		if( $input_search_page )
		{
			$input_search_dbpage = $input_search_page - 1;
			$page = $input_search_dbpage * 50;
		}
		else
		{
			$page = 0;
		}
		
		$all_pages_rounded = ceil( $all_pages / 50 );
		$query = $database -> dbquery( "SELECT knowledgebase_website, knowledgebase_question, knowledgebase_description, knowledgebase_id, knowledgebase_author, knowledgebase_views, knowledgebase_activity FROM " . DB_PREFIX . "esselbach_ct_knowledgebase " . $input_full_query . " ORDER BY " . $input_sort_query . " LIMIT " . $page . ",50" );
		$pages = $database -> dbrows( $query );
		
		if( $pages )
		{
			$html -> makeformsubfooter();
			
			if( ( $page < $all_pages ) and( $all_pages_rounded > 1 ) )
			{
				echo "<span class=\"pagelink\">" . $all_pages_rounded . " " . $words_knowledgebase[ 'PAGES' ] . "</span> ";
				$html -> printpages( $all_pages_rounded, "index.php?action=manageknowledgebase&amp;input_search_question=" . $input_search_question . "&amp;input_search_answer=" . $input_search_answer . "&amp;input_search_category=" . $input_search_category . "&amp;input_search_date=" . $input_search_date . "&amp;input_search_sort=" . $input_search_sort . "&amp;input_search_order=" . $input_search_order . "&amp;input_search_page", $input_search_page );
			}
			
			$html -> table5header( $words_knowledgebase[ 'ENTRY_SITEID' ], $words_knowledgebase[ 'QUESTION' ], "<div style=\"text-align: center;\">" . $words_knowledgebase[ 'VIEWS' ] . "</div>", $words_knowledgebase[ 'AUTHOR' ] );
			
			while( list( $knowledgebase_website, $knowledgebase_question, $knowledgebase_description, $knowledgebase_id, $knowledgebase_author, $knowledgebase_views, $knowledgebase_activity ) = $database -> dbrow( $query ) )
			{
				$knowledgebase_views = number_format( $knowledgebase_views );
				$html -> table5middle( $knowledgebase_id . " / " . $knowledgebase_website, "<div title = \"" . htmlspecialchars( $knowledgebase_description ) . "\">" . $knowledgebase_question . "</div>", "<div style=\"text-align: center;\" title=\"" . $knowledgebase_views . " " . $words_knowledgebase[ 'VIEWS' ] . " / " . $words_knowledgebase[ 'LAST_ACTIVITY' ] . ": " . $knowledgebase_activity . "\">" . $knowledgebase_views . "</div>", $knowledgebase_author, "manageknowledgebase&amp;opts=editentry-" . $knowledgebase_id . "-" . $security_hash, "manageknowledgebase&amp;opts=deleteentry-" . $knowledgebase_id . "-" . $security_hash );
			}
			
			$html -> table5col( "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"knowledgebaseoptions\" /><select size=\"1\" name=\"input_option\"><optgroup label=\"" . $words_knowledgebase[ 'KNOWLEDGEBASE_OPTIONS' ] . "\"><option value=\"0\">" . $words_knowledgebase[ 'DELETE_CHECKED' ] . "</option></optgroup></select><input type=\"submit\" value=\"" . $words_knowledgebase[ 'GO' ] . "\" />" );
			$html -> maketablefooter();
			$html -> makeformsubfooter();
			
			if( ( $page < $all_pages ) and( $all_pages_rounded > 1 ) )
			{
				echo "<span class=\"pagelink\">" . $all_pages_rounded . " " . $words_knowledgebase[ 'PAGES' ] . "</span> ";
				$html -> printpages( $all_pages_rounded, "index.php?action=manageknowledgebase&amp;input_search_question=" . $input_search_question . "&amp;input_search_answer=" . $input_search_answer . "&amp;input_search_category=" . $input_search_category . "&amp;input_search_date=" . $input_search_date . "&amp;input_search_sort=" . $input_search_sort . "&amp;input_search_order=" . $input_search_order . "&amp;input_search_page", $input_search_page );
			}
		}
		else
		{
			echo "<br />" . $words_knowledgebase[ 'NO_MATCHES' ] . "</div>";
		}
		
		echo "</div>";
	}
}
?>