<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 468.1   Patch: 2                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Knowledgebase
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminAddNewKnowledgebaseEntry
 * A function to add a new knowledgebase entry 
 * @author Philipp Louis Esselbach
 */
function AdminAddNewKnowledgebaseEntry( $notice )
{
	global $database, $html, $security, $system, $preferences, $wysiwyg, $login_username, $uwrapper, $words_knowledgebase;
	$input_website = ( isset( $_POST[ 'input_website' ] ) ) ? $system -> stripthis( $_POST[ 'input_website' ] ) : "" ;
	$input_category = ( isset( $_POST[ 'input_category' ] ) ) ? $system -> stripthis( $_POST[ 'input_category' ] ) : "" ;
	$input_knowledgebase_question = ( isset( $_POST[ 'input_knowledgebase_question' ] ) ) ? $system -> stripthis( $_POST[ 'input_knowledgebase_question' ] ) : "" ;
	$input_knowledgebase_seo = ( isset( $_POST[ 'input_knowledgebase_seo' ] ) ) ? $system -> stripthis( $_POST[ 'input_knowledgebase_seo' ] ) : "" ;
	$input_knowledgebase_description = ( isset( $_POST[ 'input_knowledgebase_description' ] ) ) ? $system -> stripthis( $_POST[ 'input_knowledgebase_description' ] ) : "" ;
	$input_knowledgebase_keywords = ( isset( $_POST[ 'input_knowledgebase_keywords' ] ) ) ? $system -> stripthis( $_POST[ 'input_knowledgebase_keywords' ] ) : "" ;
	$input_knowledgebase_answer = ( isset( $_POST[ 'input_knowledgebase_answer' ] ) ) ? $system -> stripthis( $_POST[ 'input_knowledgebase_answer' ] ) : "" ;
	$input_knowledgebase_tags = ( isset( $_POST[ 'input_knowledgebase_tags' ] ) ) ? $system -> stripthis( $_POST[ 'input_knowledgebase_tags' ] ) : "" ;
	$input_forum = ( isset( $_POST[ 'input_forum' ] ) ) ? $system -> stripthis( $_POST[ 'input_forum' ] ) : "" ;
	$input_html = ( isset( $_POST[ 'input_html' ] ) ) ? $system -> stripthis( $_POST[ 'input_html' ] ) : "" ;
	$input_smilies = ( isset( $_POST[ 'input_smilies' ] ) ) ? $system -> stripthis( $_POST[ 'input_smilies' ] ) : "" ;
	$input_blockcode = ( isset( $_POST[ 'input_blockcode' ] ) ) ? $system -> stripthis( $_POST[ 'input_blockcode' ] ) : "" ;
	$input_allow_comments = ( isset( $_POST[ 'input_allow_comments' ] ) ) ? $system -> stripthis( $_POST[ 'input_allow_comments' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $system -> stripthis( $_POST[ 'input_status' ] ) : "" ;
	$input_password = ( isset( $_POST[ 'input_password' ] ) ) ? $system -> stripthis( $_POST[ 'input_password' ] ) : "" ;
	$input_file_title = ( isset( $_POST[ 'input_file_title' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_title' ] ) : array() ;
	$input_file_description = ( isset( $_POST[ 'input_file_description' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_description' ] ) : array() ;
	$input_fields = ( isset( $_POST[ 'input_fields' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_fields' ] ) : array() ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $system -> stripthis( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $system -> stripthis( $_POST[ 'input_dopreview' ] ) : "" ;
	
	if( !isset( $_SESSION[ 'knowledgebase_security_hash' ] ) )
	{
		session_start();
		$security_hash = md5( rand( 1, 32768 ) );
		$_SESSION[ 'knowledgebase_security_hash' ] = $security_hash;
	}
	else
	{
		$security_hash = $_SESSION[ 'knowledgebase_security_hash' ];
	}
	
	$html -> makeheader( $words_knowledgebase[ 'ADD_NEW_ENTRY' ] );
	
	if( $preferences[ 'knowledgebase_wysiwyg' ] )
	{
		$wysiwyg -> wysiwyginit( "input_knowledgebase_answer" );
	}
	else
	{
		$html -> quickhtmlinit( "newform", "input_knowledgebase_answer", "" );
	}
	
	$html -> forminit2( "attachment_form_close", "attachment_form_open" );
	$html -> tagcloudinit( "newform", "input_knowledgebase_tags" );
	$html -> filesinit( "knowledgebaseattachmentsearch" );
	$html -> makesubheader();
	$html -> makegroupmenu( "knowledgebase" );
	
	if( $input_dofileedit )
	{
		$input_file = explode( "#", $input_dofileedit );
		$input_file = $security -> checknum( $input_file[ 1 ] );
	}
	else
	{
		$input_file = "";
	}
	
	if( $notice )
	{
		$html -> makeformheadera( $words_knowledgebase[ 'NOTICE' ], "newpage", "newform" );
		echo $notice;
		echo "<br /><br /><h2>" . $words_knowledgebase[ 'ADD_NEW_ENTRY' ] . "</h2>";
	}
	elseif( $input_dopreview )
	{
		$input_knowledgebase_parsed = $input_knowledgebase_answer;
		$input_knowledgebase_parsed = eregi_replace( "\\[attachment=([^\\[]+)\\]([^\\[]*)\\[/attachment\\]", $words_knowledgebase[ 'ATTACHMENT_HERE' ], $input_knowledgebase_parsed );
		$input_knowledgebase_parsed = eregi_replace( "\\[fullimage=([^\\[]+)\\]", $words_knowledgebase[ 'ATTACHMENT_IMG_HERE' ], $input_knowledgebase_parsed );
		$input_knowledgebase_parsed = eregi_replace( "\\[thumb=([^\\[]+)\\]", $words_knowledgebase[ 'ATTACHMENT_THUMB_HERE' ], $input_knowledgebase_parsed );
		
		if( !$input_html )
		{
			$input_knowledgebase_parsed = $system -> dechomp( $input_knowledgebase_parsed );
		}
		
		if( $input_smilies )
		{
			$input_knowledgebase_parsed = $system -> smilies( $input_knowledgebase_parsed );
		}
		
		if( $input_blockcode )
		{
			$input_knowledgebase_parsed = $system -> code( $input_knowledgebase_parsed );
		}
		
		$html -> makeformheadera( $words_knowledgebase[ 'PREVIEW' ], "knowledgebaseentry", "newform" );
		echo $system -> fixsmilies( $input_knowledgebase_parsed );
		echo "<br /><br /><h2>" . $words_knowledgebase[ 'ADD_NEW_ENTRY' ] . "</h2>";
	}
	else
	{
		$html -> makeformheadera( $words_knowledgebase[ 'ADD_NEW_ENTRY' ], "knowledgebaseentry", "newform" );
		$input_allow_comments = $preferences[ 'knowledgebase_allow_comments' ];
	}
	
	$websites = array();
	$query = $database -> dbquery( "SELECT preference_website, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_key = 'WEBSITE_NAME'" );
	
	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_knowledgebase[ 'WEBSITE' ] . ":</strong> <select size=\"1\" name=\"input_website\">";
		echo "<option value=\"0\">" . $words_knowledgebase[ 'ALL' ] . "</option>";
		
		while( list( $website_id, $website_name ) = $database -> dbrow( $query ) )
		{
			if( $website_id == $input_website )
			{
				echo "<option selected=\"selected\" value=\"" . $website_id . "\">" . $website_name . "</option>";
			}
			else
			{
				echo "<option value=\"" . $website_id . "\">" . $website_name . "</option>";
			}
			
			$websites[ $website_id ] = $website_name;
		}
		
		echo "</select> ";
	}
	
	$query = $database -> dbquery( "SELECT knowledgebasecat_id, knowledgebasecat_website, knowledgebasecat_name, knowledgebasecat_parentid FROM " . DB_PREFIX . "esselbach_ct_knowledgebasecats ORDER BY knowledgebasecat_position, knowledgebasecat_id" );
	
	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_knowledgebase[ 'CATEGORY' ] . ":</strong> <select size=\"1\" name=\"input_category\">";
		echo "<option value=\"0\">" . $words_knowledgebase[ 'NONE' ] . "</option>";
		
		while( list( $knowledgebasecat_id, $knowledgebasecat_website, $knowledgebasecat_name, $knowledgebasecat_parentid ) = $database -> dbrow( $query ) )
		{
			if( $knowledgebasecat_parentid > 1 )
			{
				$knowledgebasecat_name = str_repeat( "-", $knowledgebasecat_parentid ) . " " . $knowledgebasecat_name;
			}
			
			
			if( isset( $websites[ $knowledgebasecat_website ] ) )
			{
				$knowledgebasecat_website = " (" . $websites[ $knowledgebasecat_website ] . ")";
			}
			else
			{
				$knowledgebasecat_website = "";
			}
			
			if( $knowledgebasecat_id == $input_category )
			{
				echo "<option selected=\"selected\" value=\"" . $knowledgebasecat_id . "\">" . $knowledgebasecat_name . $knowledgebasecat_website . "</option>";
			}
			else
			{
				echo "<option value=\"" . $knowledgebasecat_id . "\">" . $knowledgebasecat_name . $knowledgebasecat_website . "</option>";
			}
		}
		
		echo "</select><br />";
	}
	
	$html -> uppertext( $words_knowledgebase[ 'QUESTION' ], "input_knowledgebase_question", $input_knowledgebase_question );
	$html -> upperform( $words_knowledgebase[ 'DESCRIPTION' ], "input_knowledgebase_description", $input_knowledgebase_description, 2 );
	$html -> upperform( $words_knowledgebase[ 'KEYWORDS' ], "input_knowledgebase_keywords", $input_knowledgebase_keywords, 2 );
	$html -> uppertext( $words_knowledgebase[ 'SEO_URL' ], "input_knowledgebase_seo", $input_knowledgebase_seo );
	
	if( !$preferences[ 'knowledgebase_wysiwyg' ] )
	{
		$html -> quickhtml( "" );
	}
	
	$html -> upperform( $words_knowledgebase[ 'ANSWER' ], "input_knowledgebase_answer", $input_knowledgebase_answer, 25 );
	
	if( $preferences[ 'knowledgebase_wysiwyg' ] )
	{
		$wysiwyg -> controls();
	}
	else
	{
		if( ( $input_dopreview ) or( $notice ) )
		{
			$input_html_value = $input_html;
			$input_smilies_value = $input_smilies;
			$input_blockcode_value = $input_blockcode;
		}
		else
		{
			$input_html_value = 0;
			$input_smilies_value = 1;
			$input_blockcode_value = 1;
		}
		
		$html -> makeselect( $words_knowledgebase[ 'USE_HTML' ], "input_html", $input_html_value, $words_knowledgebase[ 'YES' ] . " " . $words_knowledgebase[ 'NO' ] );
		$html -> makeselect( $words_knowledgebase[ 'USE_SMILIES' ], "input_smilies", $input_smilies_value, $words_knowledgebase[ 'YES' ] . " " . $words_knowledgebase[ 'NO' ] );
		$html -> makeselect( $words_knowledgebase[ 'USE_BLOCKCODE' ], "input_blockcode", $input_blockcode_value, $words_knowledgebase[ 'YES' ] . " " . $words_knowledgebase[ 'NO' ] );
	}
	
	( $input_allow_comments ) ? $checked = " checked=\"checked\" " : $checked = "" ;
	echo " <input name=\"input_allow_comments\" type=\"checkbox\" value=\"1\"" . $checked . "/> <strong>" . $words_knowledgebase[ 'ALLOW_COMMENTS' ] . "</strong><br />";
	$html -> upperform( $words_knowledgebase[ 'TAGGED_AS' ], "input_knowledgebase_tags", $input_knowledgebase_tags, 2 );
	echo $words_knowledgebase[ 'SEPARATE_TAGS_WITH_COMMAS' ];
	$query = $database -> dbquery( "SELECT knowledgebasetag_tag, knowledgebasetag_count FROM " . DB_PREFIX . "esselbach_ct_knowledgebasetags ORDER BY knowledgebasetag_tag" );
	
	if( $database -> dbrows( $query ) )
	{
		echo " " . $words_knowledgebase[ 'OR_CHOOSE_TAGS_FROM_CLOUD' ] . "<br /><br />";
		
		while( list( $knowledgebasetag_tag, $knowledgebasetag_count ) = $database -> dbrow( $query ) )
		{
			$knowledgebasetag_size = $knowledgebasetag_count + 60;
			
			if( $knowledgebasetag_size > 300 )
			{
				$knowledgebasetag_size = 300;
			}
			
			echo "<font style=\"font-size: " . $knowledgebasetag_size . "%;\"><a href=\"javascript:inserttag('" . $knowledgebasetag_tag . ",')\">" . $knowledgebasetag_tag . "</a></font> ";
		}
	}
	
	if( $preferences[ 'knowledgebase_forum_comments' ] )
	{
		$forums = $uwrapper -> getforums();
		
		if( $forums )
		{
			echo "<br /><br /><strong>" . $words_knowledgebase[ 'USE_FOLLOWING_FORUM' ] . ":</strong><br />";
			echo "<select size=\"5\" name=\"input_forum\">";
			( !$input_forum ) ? $selected = " selected=\"selected\"" : $selected = "";
			echo "<option value=\"0\"" . $selected . ">" . $words_knowledgebase[ 'NONE' ] . "</option>";
			
			foreach( $forums as $forum )
			{
				$forum_data = explode( "|^Z|", $forum );
				( $input_forum == $forum_data[ 0 ] ) ? $selected = " selected=\"selected\"" : $selected = "";
				echo "<option value=\"" . $forum_data[ 0 ] . "\"" . $selected . ">" . base64_decode( $forum_data[ 1 ] ) . "</option>";
			}
			
			echo "</select>";
		}
	}
	
	( !$input_status ) ? $status_selected[ 0 ] = "selected=\"selected\"" : $status_selected[ 0 ] = "" ;
	( $input_status == 1 ) ? $status_selected[ 1 ] = "selected=\"selected\"" : $status_selected[ 1 ] = "" ;
	( $input_status == 2 ) ? $status_selected[ 2 ] = "selected=\"selected\"" : $status_selected[ 2 ] = "" ;
	( $input_status == 3 ) ? $status_selected[ 3 ] = "selected=\"selected\"" : $status_selected[ 3 ] = "" ;
	( $input_status == 4 ) ? $status_selected[ 4 ] = "selected=\"selected\"" : $status_selected[ 4 ] = "" ;
	echo "<br /><br /><strong>" . $words_knowledgebase[ 'STATUS' ] . ":</strong><br /><select size=\"5\" name=\"input_status\">";
	echo "<option " . $status_selected[ 0 ] . " value=\"0\">" . $words_knowledgebase[ 'ZERO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 1 ] . " value=\"1\">" . $words_knowledgebase[ 'ONE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 2 ] . " value=\"2\">" . $words_knowledgebase[ 'TWO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 3 ] . " value=\"3\">" . $words_knowledgebase[ 'THREE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 4 ] . " value=\"4\">" . $words_knowledgebase[ 'FOUR_STATUS' ] . "</option>";
	echo "</select><br />";
	$html -> uppertext( $words_knowledgebase[ 'PASSWORD' ], "input_password", $input_password );
	$input_extrafields = explode( "|^X|", $preferences[ 'knowledgebase_extrafields' ] );
	
	for( $i = 0; $i < 24; $i++ )
	{
		( isset( $input_extrafields[ $i ] ) ) ? $row = $input_extrafields[ $i ] : $row = "" ;
		$input_form_data = explode( "|^Z|", $row );
		
		if( isset( $input_form_data[ 1 ] ) )
		{
			$input_form_num = $input_form_data[ 0 ];
			$input_form_text = htmlspecialchars( base64_decode( $input_form_data[ 1 ] ) );
		}
		else
		{
			$input_form_num = "";
			$input_form_text = "";
		}
		
		if( $input_form_text )
		{
			if( is_array( $input_fields ) )
			{
				$input_field = ( isset( $input_fields[ $i ] ) ) ? $input_fields[ $i ] : "" ;
			}
			else
			{
				$input_field = "";
			}
			
			if( !$input_form_num )
			{
				$html -> uppertext( $input_form_text, "input_fields[$i]", $input_field );
			}
			
			if( $input_form_num == 1 )
			{
				$html -> upperform( $input_form_text, "input_fields[$i]", $input_field, 25 );
			}
			
			if( $input_form_num == 2 )
			{
				$dropdown_array = explode( ",", $input_form_text );
				$dropdown_name = $dropdown_array[ 0 ];
				echo "<strong>" . $dropdown_name . ":</strong> <select size=\"1\" name=\"input_fields[$i]\">";
				
				for( $y = 1; $y < count( $dropdown_array ); $y++ )
				{
					( $dropdown_array[ $y ] == $input_field ) ? $selected = "selected=\"selected\" " : $selected = "";
					echo "<option " . $selected . "value=\"" . $dropdown_array[ $y ] . "\">" . $dropdown_array[ $y ] . "</option>";
				}
				
				echo "</select><br />";
			}
		}
	}
	
	echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doaddnewknowledgebaseentry\" /><input type=\"submit\" name=\"input_dopreview\" value=\"" . $words_knowledgebase[ 'PREVIEW' ] . "\" />";
	
	if( function_exists( "pspell_new" ) )
	{
		echo "<input type=\"submit\" name=\"input_dospellcheck\" value=\"" . $words_knowledgebase[ 'SPELLING' ] . "\" />";
	}
	
	echo "<input type=\"submit\" value=\"" . $words_knowledgebase[ 'ADD_ENTRY' ] . "\" />";
	echo "<br /><br /><h2>" . $words_knowledgebase[ 'FILE_ATTACHMENTS' ] . "</h2>";
	$html -> tableheader( "","" );
	$query = $database -> dbquery( "SELECT knowledgebasefile_id, knowledgebasefile_filename, knowledgebasefile_title, knowledgebasefile_description, knowledgebasefile_mime FROM " . DB_PREFIX . "esselbach_ct_knowledgebasefiles WHERE knowledgebasefile_author = '" . $login_username . "' AND knowledgebasefile_inuse = '0' ORDER BY knowledgebasefile_date DESC" );
	
	while( list( $knowledgebasefile_id, $knowledgebasefile_filename, $knowledgebasefile_title, $knowledgebasefile_description, $knowledgebasefile_mime ) = $database -> dbrow( $query ) )
	{
		if( $preferences[ 'knowledgebase_wysiwyg' ] )
		{
			if( ( $knowledgebasefile_mime == "image/pjpeg" ) or( $knowledgebasefile_mime == "image/jpeg" ) or( $knowledgebasefile_mime == "image/gif" ) or( $knowledgebasefile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_knowledgebase_answer','[thumb=" . $knowledgebasefile_id . "]')\"><img src=\"index.php?action=knowledgebaseattachmentpreview&amp;input_fileid=" . $knowledgebasefile_id . "\" title=\"" . htmlspecialchars( $knowledgebasefile_description ) . "\" alt=\"" . htmlspecialchars( $knowledgebasefile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_knowledgebase_answer','[thumb=" . $knowledgebasefile_id . "]')\">" . htmlspecialchars( $knowledgebasefile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:wysiwyginsert('input_knowledgebase_answer','[fullimage=" . $knowledgebasefile_id . "]')\">" . $words_knowledgebase[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_knowledgebase_answer','[thumb=" . $knowledgebasefile_id . "]')\">" . $words_knowledgebase[ 'ADD_AS_THUMBNAIL' ] . "</a>] <br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:wysiwyginsert('input_knowledgebase_answer','[attachment=" . $knowledgebasefile_id . "]Download" . $knowledgebasefile_filename . "[/attachment]')\">" . $words_knowledgebase[ 'ADD_DOWNLOAD' ] . "</a>]<br />";
			}
		}
		else
		{
			if( ( $knowledgebasefile_mime == "image/pjpeg" ) or( $knowledgebasefile_mime == "image/jpeg" ) or( $knowledgebasefile_mime == "image/gif" ) or( $knowledgebasefile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:insert('[thumb=" . $knowledgebasefile_id . "]')\"><img src=\"index.php?action=knowledgebaseattachmentpreview&amp;input_fileid=" . $knowledgebasefile_id . "\" title=\"" . htmlspecialchars( $knowledgebasefile_description ) . "\" alt=\"" . htmlspecialchars( $knowledgebasefile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:insert('[thumb=" . $knowledgebasefile_id . "]')\">" . htmlspecialchars( $knowledgebasefile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:insert('[fullimage=" . $knowledgebasefile_id . "]')\">" . $words_knowledgebase[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:insert('[thumb=" . $knowledgebasefile_id . "]')\">" . $words_knowledgebase[ 'ADD_AS_THUMBNAIL' ] . "</a>] <br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:insert('[attachment=" . $knowledgebasefile_id . "]Download" . $knowledgebasefile_filename . "[/attachment]')\">" . $words_knowledgebase[ 'ADD_DOWNLOAD' ] . "</a>]<br />";
			}
		}
		
		if( $input_file == $knowledgebasefile_id )
		{
			$mid_link .= "<textarea cols=\"80\" name=\"input_edittitle\" rows=\"1\" style=\"margin:0px;width:600px\">" . $knowledgebasefile_title . "</textarea><br />";
			$mid_link .= "<textarea cols=\"80\" name=\"input_editdescription\" rows=\"2\" style=\"margin:0px;width:600px\">" . $knowledgebasefile_description . "</textarea><br />";
			$mid_link .= "<input type=\"hidden\" name=\"input_editid\" value=\"" . $knowledgebasefile_id . "\" /><input type=\"submit\" name=\"input_doeditfile\" value=\"" . $words_knowledgebase[ 'GO' ] . "\" /><br />";
		}
		else
		{
			$mid_link .= "<strong>" . htmlspecialchars( $knowledgebasefile_title ) . "</strong><br />" . htmlspecialchars( $knowledgebasefile_description );
		}
		
		if( $input_file != $knowledgebasefile_id )
		{
			$html -> tableamiddle( $knowledgebasefile_filename, $mid_link, "input_dofileedit", $words_knowledgebase[ 'EDIT_FILE' ] . $knowledgebasefile_id, "input_dofileremove", $words_knowledgebase[ 'REMOVE_FILE' ] . $knowledgebasefile_id );
		}
		else
		{
			$html -> tableamiddle( $knowledgebasefile_filename, $mid_link, "input_dofileedit", 0, 0, 0, 0 );
		}
	}
	
	$html -> maketablefooter();
	echo "<a href=\"javascript:files_win()\">" . $words_knowledgebase[ 'SEARCH_FILE_ATTACHMENTS' ] . "</a><br /><br />";
	
	for( $a = 0; $a < 6; $a++ )
	{
		if( !isset( $input_file_title[ $a ] ) )
		{
			$input_file_title[ $a ] = "";
		}
		
		if( !isset( $input_file_description[ $a ] ) )
		{
			$input_file_description[ $a ] = "";
		}
	}
	
	echo "<strong>" . $words_knowledgebase[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[0]\" /><br />";
	$html -> upperform( $words_knowledgebase[ 'TITLE' ], "input_file_title[0]", $input_file_title[ 0 ], 1 );
	$html -> upperform( $words_knowledgebase[ 'DESCRIPTION' ], "input_file_description[0]", $input_file_description[ 0 ], 2 );
	echo "<div id=\"attachment_form_close\"><br /><a href=\"#\" onclick=\"show_form2(); return false;\">" . $words_knowledgebase[ 'ATTACH_MULTIPLE_FILES' ] . "</a><br /><br /></div>";
	echo "<div id=\"attachment_form_open\" style=\"display:none\">";
	echo "<strong>" . $words_knowledgebase[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[1]\" /><br />";
	$html -> upperform( $words_knowledgebase[ 'TITLE' ], "input_file_title[1]", $input_file_title[ 1 ], 1 );
	$html -> upperform( $words_knowledgebase[ 'DESCRIPTION' ], "input_file_description[1]", $input_file_description[ 1 ], 2 );
	echo "<br /><strong>" . $words_knowledgebase[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[2]\" /><br />";
	$html -> upperform( $words_knowledgebase[ 'TITLE' ], "input_file_title[2]", $input_file_title[ 2 ], 1 );
	$html -> upperform( $words_knowledgebase[ 'DESCRIPTION' ], "input_file_description[2]", $input_file_description[ 2 ], 2 );
	echo "<br /><strong>" . $words_knowledgebase[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[3]\" /><br />";
	$html -> upperform( $words_knowledgebase[ 'TITLE' ], "input_file_title[3]", $input_file_title[ 3 ], 1 );
	$html -> upperform( $words_knowledgebase[ 'DESCRIPTION' ], "input_file_description[3]", $input_file_description[ 3 ], 2 );
	echo "<br /><strong>" . $words_knowledgebase[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[4]\" /><br />";
	$html -> upperform( $words_knowledgebase[ 'TITLE' ], "input_file_title[4]", $input_file_title[ 4 ], 1 );
	$html -> upperform( $words_knowledgebase[ 'DESCRIPTION' ], "input_file_description[4]", $input_file_description[ 4 ], 2 );
	echo "</div>";
	echo "<input type=\"submit\" name=\"input_doupload\" value=\"" . $words_knowledgebase[ 'UPLOAD' ] . "\" />";
	$html -> makeformfooter();
}
?>