<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 468.1   Patch: 2                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Knowledgebase
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function Knowledgebase
 * A function to show the knowledgebase overview
 * @author Philipp Louis Esselbach
 */
function Knowledgebase( $page )
{
	global $database, $templates, $preferences, $system, $user;
	$templates -> initgzip();
	$main_templates = $templates -> preparetemplates( "'site_header','site_footer','site_block','site_login_anon','site_login_user','knowledgebase_header','knowledgebase_footer','knowledgebase_category_header','knowledgebase_category_list','knowledgebase_category_list_entries','knowledgebase_category_footer','knowledgebase_category_nav','knowledgebase_list_rss','knowledgebase_list_header','knowledgebase_list_category_header','knowledgebase_list_category_rss','knowledgebase_list_entry','knowledgebase_entry_editlink','knowledgebase_list_category_empty','knowledgebase_category_list_preview_header','knowledgebase_category_list_preview_footer','knowledgebase_list_category_footer','knowledgebase_list_footer','knowledgebase_layout_main'", $preferences[ 'current_theme' ] );
	$insert = $system -> getinsert( $preferences, $main_templates );
	
	if( $user[ 'user_status' ] == 1 )
	{
		$knowledgebase_status = "(knowledgebase_status = '0' OR knowledgebase_status = '1' OR knowledgebase_status = '3')";
	}
	elseif( $user[ 'user_status' ] == 2 or $user[ 'user_status' ] == 3 )
	{
		$knowledgebase_status = "(knowledgebase_status = '0' OR knowledgebase_status = '1' OR knowledgebase_status = '2' OR knowledgebase_status = '3' OR knowledgebase_status = '4')";
	}
	elseif( $user[ 'user_status' ] == 6 )
	{
		$knowledgebase_status = "(knowledgebase_status = '0' OR knowledgebase_status = '1' OR knowledgebase_status = '3' OR knowledgebase_status = '4')";
	}
	else
	{
		$knowledgebase_status = "(knowledgebase_status = '0' OR knowledgebase_status = '3')";
	}
	
	$insert[ 'knowledgebasecat_nav' ] = "";
	
	if( !$page )
	{
		( $preferences[ 'knowledgebase_pagename' ] ) ? $insert[ 'page_name' ] = htmlspecialchars( $preferences[ 'knowledgebase_pagename' ] ) : $insert[ 'page_name' ] = htmlspecialchars( $preferences[ 'website_name' ] ) ;
		( $preferences[ 'knowledgebase_description' ] ) ? $insert[ 'page_description' ] = htmlspecialchars( $preferences[ 'knowledgebase_description' ] ) : $insert[ 'page_description' ] = htmlspecialchars( $preferences[ 'website_description' ] ) ;
		( $preferences[ 'knowledgebase_keywords' ] ) ? $insert[ 'page_keywords' ] = htmlspecialchars( $preferences[ 'knowledgebase_keywords' ] ) : $insert[ 'page_keywords' ] = htmlspecialchars( $preferences[ 'website_keywords' ] ) ;
		$id = 0;
	}
	else
	{
		$page_query = $system -> getpage( $page );
		$query = $database -> dbquery( "SELECT knowledgebasecat_id, knowledgebasecat_parents FROM " . DB_PREFIX . "esselbach_ct_knowledgebasecats WHERE knowledgebasecat_seo = '" . $page_query . "' AND (knowledgebasecat_website = '0' OR knowledgebasecat_website = '" . $preferences[ 'current_website' ] . "')" );
		if ( $database -> dbrows( $query ) )
		{
			list( $id, $parents ) = $database -> dbrow( $query );
			$query = $database -> dbquery( "SELECT knowledgebasecat_id, knowledgebasecat_seo, knowledgebasecat_name, knowledgebasecat_description, knowledgebasecat_keywords FROM " . DB_PREFIX . "esselbach_ct_knowledgebasecats WHERE knowledgebasecat_id IN (" . $parents . "," . $id . ") AND (knowledgebasecat_website = '0' OR knowledgebasecat_website = '" . $preferences[ 'current_website' ] . "') ORDER BY knowledgebasecat_id" );
			
			while( list( $knowledgebasecat_id, $knowledgebasecat_seo, $knowledgebasecat_name, $knowledgebasecat_description, $knowledgebasecat_keywords ) = $database -> dbrow( $query ) )
			{
				$insert[ 'knowledgebasecat_id' ] = $knowledgebasecat_id;
				$insert[ 'knowledgebasecat_seo' ] = $knowledgebasecat_seo;
				$insert[ 'knowledgebasecat_name' ] = htmlspecialchars( $knowledgebasecat_name );
				$insert[ 'knowledgebasecat_description' ] = htmlspecialchars( $knowledgebasecat_description );
				$insert[ 'knowledgebasecat_nav' ] .= $templates -> exectemplate( $main_templates[ 'knowledgebase_category_nav_html' ], $main_templates[ 'knowledgebase_category_nav_php' ], $insert );
				$insert[ 'page_name' ] = $insert[ 'knowledgebasecat_name' ];
				$insert[ 'page_description' ] = $insert[ 'knowledgebasecat_description' ];
				$insert[ 'page_keywords' ] = htmlspecialchars( $knowledgebasecat_keywords );
			}
		}
	}
	
	echo $templates -> exectemplate( $main_templates[ 'site_header_html' ], $main_templates[ 'site_header_php' ], $insert );
	$insert[ 'knowledgebase_header' ] = ( $preferences[ 'knowledgebase_navigation' ] ) ? $templates -> exectemplate( $main_templates[ 'knowledgebase_header_html' ], $main_templates[ 'knowledgebase_header_php' ], $insert ) : "" ;
	$query = $database -> dbquery( "SELECT knowledgebase_id, knowledgebase_author, knowledgebase_question, knowledgebase_seo, knowledgebase_views FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_category = '" . $id . "' AND " . $knowledgebase_status . " AND (knowledgebase_website = '0' OR knowledgebase_website = '" . $preferences[ 'current_website' ] . "') ORDER BY knowledgebase_position" );
	
	if( $database -> dbrows( $query ) )
	{
		if( $id )
		{
			$insert[ 'knowledgebase_list_rss' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_category_rss_html' ], $main_templates[ 'knowledgebase_list_category_rss_php' ], $insert );
			$insert[ 'knowledgebase_list_header' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_category_header_html' ], $main_templates[ 'knowledgebase_list_category_header_php' ], $insert );
			$insert[ 'knowledgebase_list_footer' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_category_footer_html' ], $main_templates[ 'knowledgebase_list_category_footer_php' ], $insert );
		}
		else
		{
			$insert[ 'knowledgebase_list_rss' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_rss_html' ], $main_templates[ 'knowledgebase_list_rss_php' ], $insert );
			$insert[ 'knowledgebase_list_header' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_header_html' ], $main_templates[ 'knowledgebase_list_header_php' ], $insert );
			$insert[ 'knowledgebase_list_footer' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_footer_html' ], $main_templates[ 'knowledgebase_list_footer_php' ], $insert );
		}
		
		$insert[ 'knowledgebase_list_entry' ] = "";
		
		while( list( $insert[ 'knowledgebase_id' ], $insert[ 'knowledgebase_author' ], $insert[ 'knowledgebase_question' ], $insert[ 'knowledgebase_seo' ], $insert[ 'knowledgebase_views' ] ) = $database -> dbrow( $query ) )
		{
			if( $user[ 'user_status' ] == 2 and $insert[ 'knowledgebase_author' ] == $user[ 'user_name' ] )
			{
				$insert[ 'knowledgebase_edit' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_entry_editlink_html' ], $main_templates[ 'knowledgebase_entry_editlink_php' ], $insert );
			}
			else
			{
				$insert[ 'knowledgebase_edit' ] = "";
			}
			
			$insert[ 'knowledgebase_list_entry' ] .= $templates -> exectemplate( $main_templates[ 'knowledgebase_list_entry_html' ], $main_templates[ 'knowledgebase_list_entry_php' ], $insert );
		}
	}
	else
	{
		if( $id )
		{
			$insert[ 'knowledgebase_list_rss' ] = "";
			$insert[ 'knowledgebase_list_header' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_category_header_html' ], $main_templates[ 'knowledgebase_list_category_header_php' ], $insert );
			$insert[ 'knowledgebase_list_entry' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_category_empty_html' ], $main_templates[ 'knowledgebase_list_category_empty_php' ], $insert );
			$insert[ 'knowledgebase_list_footer' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_list_category_footer_html' ], $main_templates[ 'knowledgebase_list_category_footer_php' ], $insert );
		}
		else
		{
			$insert[ 'knowledgebase_list_rss' ] = "";
			$insert[ 'knowledgebase_list_header' ] = "";
			$insert[ 'knowledgebase_list_entry' ] = "";
			$insert[ 'knowledgebase_list_footer' ] = "";
		}
	}
	
	if( !$id )
	{
		$query = $database -> dbquery( "SELECT knowledgebasecat_id, knowledgebasecat_seo, knowledgebasecat_name, knowledgebasecat_description FROM " . DB_PREFIX . "esselbach_ct_knowledgebasecats WHERE knowledgebasecat_parentid = '1' ORDER BY knowledgebasecat_position, knowledgebasecat_parentcat, knowledgebasecat_id" );
	}
	else
	{
		if( !$insert[ 'knowledgebase_list_header' ] )
		{
			$insert[ 'knowledgebase_list_entry' ] = "";
		}
		
		$query = $database -> dbquery( "SELECT knowledgebasecat_id, knowledgebasecat_seo, knowledgebasecat_name, knowledgebasecat_description FROM " . DB_PREFIX . "esselbach_ct_knowledgebasecats WHERE knowledgebasecat_parentcat = '" . $id . "' ORDER BY knowledgebasecat_position, knowledgebasecat_parentcat, knowledgebasecat_id" );
	}
	
	$categories = "";
	
	while( list( $insert[ 'knowledgebasecat_id' ], $insert[ 'knowledgebasecat_seo' ], $insert[ 'knowledgebasecat_name' ], $insert[ 'knowledgebasecat_description' ] ) = $database -> dbrow( $query ) )
	{
		$insert[ 'knowledgebase_entries' ] = "";
		
		if( $preferences[ 'knowledgebase_entries' ] )
		{
			$result = $database -> dbquery( "SELECT COUNT(knowledgebase_id) FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_category = '" . intval( $insert[ 'knowledgebasecat_id' ] ) . "' AND " . $knowledgebase_status . " AND (knowledgebase_website = '0' OR knowledgebase_website = '" . $preferences[ 'current_website' ] . "')" );
			list( $insert[ 'knowledgebasecat_entries' ] ) = $database -> dbrow( $result );
			$insert[ 'knowledgebasecat_entries' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_category_list_entries_html' ], $main_templates[ 'knowledgebase_category_list_entries_php' ], $insert );
		}
		
		$categories .= $templates -> exectemplate( $main_templates[ 'knowledgebase_category_list_html' ], $main_templates[ 'knowledgebase_category_list_php' ], $insert );
		
		if( $preferences[ 'knowledgebase_entries_preview' ] )
		{
			$result = $database -> dbquery( "SELECT knowledgebase_id, knowledgebase_author, knowledgebase_question, knowledgebase_seo, knowledgebase_views FROM " . DB_PREFIX . "esselbach_ct_knowledgebase WHERE knowledgebase_category = '" . intval( $insert[ 'knowledgebasecat_id' ] ) . "' AND " . $knowledgebase_status . " AND (knowledgebase_website = '0' OR knowledgebase_website = '" . $preferences[ 'current_website' ] . "') ORDER BY knowledgebase_id DESC LIMIT " . intval( $preferences[ 'knowledgebase_entries_preview' ] ) );
			
			if( $database -> dbrows( $result ) )
			{
				$categories .= $templates -> exectemplate( $main_templates[ 'knowledgebase_category_list_preview_header_html' ], $main_templates[ 'knowledgebase_category_list_preview_header_php' ], $insert );
				
				while( list( $insert[ 'knowledgebase_id' ], $insert[ 'knowledgebase_author' ], $insert[ 'knowledgebase_question' ], $insert[ 'knowledgebase_seo' ], $insert[ 'knowledgebase_views' ] ) = $database -> dbrow( $result ) )
				{
					if( $user[ 'user_status' ] == 2 and $insert[ 'knowledgebase_author' ] == $user[ 'user_name' ] )
					{
						$insert[ 'knowledgebase_edit' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_entry_editlink_html' ], $main_templates[ 'knowledgebase_entry_editlink_php' ], $insert );
					}
					else
					{
						$insert[ 'knowledgebase_edit' ] = "";
					}
					
					$categories .= $templates -> exectemplate( $main_templates[ 'knowledgebase_list_entry_html' ], $main_templates[ 'knowledgebase_list_entry_php' ], $insert );
				}
				
				$categories .= $templates -> exectemplate( $main_templates[ 'knowledgebase_category_list_preview_footer_html' ], $main_templates[ 'knowledgebase_category_list_preview_footer_php' ], $insert );
			}
		}
	}
	
	if( $categories )
	{
		$insert[ 'knowledgebase_category_header' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_category_header_html' ], $main_templates[ 'knowledgebase_category_header_php' ], $insert );
		$insert[ 'knowledgebase_category_list' ] = $categories;
		$insert[ 'knowledgebase_category_footer' ] = $templates -> exectemplate( $main_templates[ 'knowledgebase_category_footer_html' ], $main_templates[ 'knowledgebase_category_footer_php' ], $insert );
	}
	else
	{
		$insert[ 'knowledgebase_category_header' ] = "";
		$insert[ 'knowledgebase_category_list' ] = "";
		$insert[ 'knowledgebase_category_footer' ] = "";
	}
	
	$insert[ 'knowledgebase_footer' ] = ( $preferences[ 'knowledgebase_navigation' ] ) ? $templates -> exectemplate( $main_templates[ 'knowledgebase_footer_html' ], $main_templates[ 'knowledgebase_footer_php' ], $insert ) : "" ;
	echo $templates -> exectemplate( $main_templates[ 'knowledgebase_layout_main_html' ], $main_templates[ 'knowledgebase_layout_main_php' ], $insert );
	echo $templates -> exectemplate( $main_templates[ 'site_footer_html' ], $main_templates[ 'site_footer_php' ], $insert );
}
?>